: Class HttpCookie

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpCookie

    java.lang.Object
      |
      +--org.w3c.www.http.HttpCookie

public class HttpCookie
extends java.lang.Object

Field Summary
`protected java.lang.String` | `domain` The domain in which this cookie applies.
`protected java.lang.String` | `name` This cookie's name.
`protected java.lang.String` | `path` The path in which this cookie applies.
`protected boolean` | `secure` Set the security flag
`protected java.lang.String` | `value` This cookie's value.
`protected int` | `version` Set this cookie's version.

Constructor Summary
`HttpCookie()`

Method Summary
`java.lang.String` | `getDomain()` Get the domain in which this cookie applies.
`java.lang.String` | `getName()` Get this cookie's name.
`java.lang.String` | `getPath()` Get the path to which this cookie applies.
`boolean` | `getSecurity()` Get the security flag
`java.lang.String` | `getValue()` Get this cookie's value.
`int` | `getVersion()` Get this cookie's version.
`void` | `setDomain(java.lang.String domain)` Set the domain in which this cookie applies.
`void` | `setName(java.lang.String name)` Set this cookie's name.
`void` | `setPath(java.lang.String path)` Set the path in which this cookie applies.
`void` | `setSecurity(boolean secure)`
`void` | `setValue(java.lang.String value)` Set this cookie's value.
`void` | `setVersion(int version)` Set this cookie's version.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### path

    protected java.lang.String path

  The path in which this cookie applies.

### domain

    protected java.lang.String domain

  The domain in which this cookie applies.

### value

    protected java.lang.String value

  This cookie's value.

### name

    protected java.lang.String name

  This cookie's name.

### version

    protected int version

  Set this cookie's version.

### secure

    protected boolean secure

  Set the security flag

Constructor Detail

### HttpCookie

    public HttpCookie()

Method Detail

### getSecurity

    public boolean getSecurity()

  Get the security flag
  Returns:
    true if it's a secured cookie

### setSecurity

    public void setSecurity(boolean secure)

### getPath

    public java.lang.String getPath()

  Get the path to which this cookie applies.
  Returns:
    The path encoded as a String, or null if not defined.

### setPath

    public void setPath(java.lang.String path)

  Set the path in which this cookie applies.
  Parameters:
    `path` - The path to which this cookie applies, or null to reset it.

### getDomain

    public java.lang.String getDomain()

  Get the domain in which this cookie applies.
  Returns:
    The domain in which this cookie applies, encoded as a String, or null if undefined.

### setDomain

    public void setDomain(java.lang.String domain)

  Set the domain in which this cookie applies.
  Parameters:
    `domain` - The domain in which the cookie applies, or null to reset it.

### getVersion

    public int getVersion()

  Get this cookie's version.
  Returns:
    An integer, giving the cookie's version.

### setVersion

    public void setVersion(int version)

  Set this cookie's version.
  Parameters:
    `version` - An integer indicating the version of this cookie.

### getName

    public java.lang.String getName()

  Get this cookie's name.
  Returns:
    The name of the cookie, or null if undefined.

### setName

    public void setName(java.lang.String name)

  Set this cookie's name.
  Parameters:
    `name` - The cookie's name, or null to reset the value.

### getValue

    public java.lang.String getValue()

  Get this cookie's value.
  Returns:
    The value, encoded as a String, or nullM if no value defined.

### setValue

    public void setValue(java.lang.String value)

  Set this cookie's value.
  Parameters:
    `value` - The String encoded value, or null to reset the value.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD